# SettingsScreenState class

Inheritance
  - Object
  - State <SettingsScreen>
  - SettingsScreenState

## Constructors

SettingsScreenState (TupleTheme theme)

## Properties

context → BuildContext
  The location in the tree where this widget builds. [...]
  read-only, inherited
dropdownValue ↔ TupleTheme
  read / write
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
mounted → bool
  Whether this State object is currently in a tree. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
widget → SettingsScreen
  The current configuration. [...]
  read-only, inherited

## Methods

build (BuildContext context) → Widget
  Describes the part of the user interface represented by this widget. [...]
  override
buildCardWidget (Widget child) → Widget
deactivate () → void
  Called when this object is removed from the tree. [...]
  @mustCallSuper, @protected, inherited
debugFillProperties (DiagnosticPropertiesBuilder properties) → void
  Add additional properties associated with the node. [...]
  inherited
didChangeDependencies () → void
  Called when a dependency of this State object changes. [...]
  @mustCallSuper, @protected, inherited
didUpdateWidget (covariant SettingsScreen oldWidget) → void
  Called whenever the widget configuration changes. [...]
  @mustCallSuper, @protected, inherited
dispose () → void
  Called when this object is removed from the tree permanently. [...]
  @mustCallSuper, @protected, inherited
dropDownItem () → Widget
flutterLogo () → Widget
gitButton () → Widget
initState () → void
  Called when this object is inserted into the tree. [...]
  override
noSuchMethod (Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
openGitHub () → void
reassemble () → void
  Called whenever the application is reassembled during debugging, for example during hot reload. [...]
  @mustCallSuper, @protected, inherited
saveTheme (String name) → Future
  Saves theme data in file
setState (VoidCallback fn) → void
  Notify the framework that the internal state of this object has changed. [...]
  @protected, inherited
toDiagnosticsNode ({String name, DiagnosticsTreeStyle style}) → DiagnosticsNode
  Returns a debug representation of the object that is used by debugging tools and by DiagnosticsNode.toStringDeep. [...]
  inherited
topCard () → Widget
toString ({DiagnosticLevel minLevel = DiagnosticLevel.info}) → String
  Returns a string representation of this object.
  inherited
toStringShort () → String
  A brief description of this object, usually just the runtimeType and the hashCode. [...]
  inherited

## Operators

operator == (Object other) → bool
  The equality operator. [...]
  inherited